System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

This service is used to load types at design time.

Provides an interface to retrieve an assembly or type by name.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly `` To be added

  Gets the requested assembly.

  An instance of the requested assembly, or null if no assembly can be located.

  The name of the assembly to retrieve.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly `` `` To be added

  Gets the requested assembly.

  An instance of the requested assembly, or null if no assembly can be located.

  The name of the assembly to retrieve. true if this method should throw an exception if the assembly cannot be located; otherwise, false, and this method returns null if the assembly cannot be located.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Gets the path to the file from which the assembly was loaded.

  The path to the file from which the assembly was loaded.

  The name of the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` To be added

  Loads a type with the specified name.

  An instance of that corresponds to the specified name, or null if no type can be found.

  The name of the type. If the type name is not a fully qualified name that indicates an assembly, this service will search its internal set of referenced assemblies.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  If the type cannot be loaded and the parameter is true, this will throw an exception.

  Loads a type with the specified name.

  An instance of that corresponds to the specified name, or null if no type can be found.

  The name of the type. If the type name is not a fully qualified name that indicates an assembly, this service will search its internal set of referenced assemblies. true if this method should throw an exception if the assembly cannot be located; otherwise, false, and this method returns null if the assembly cannot be located.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` `` ``

  If the type cannot be loaded and the parameter is true, this will throw an exception.

  Loads a type with the specified name.

  An instance of that corresponds to the specified name, or null if no type can be found.

  The name of the type. If the type name is not a fully qualified name that indicates an assembly, this service will search its internal set of referenced assemblies. true if this method should throw an exception if the assembly cannot be located; otherwise, false, and this method returns null if the assembly cannot be located. true to ignore case when searching for types; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  Once a reference to an assembly has been added to this service, this service can load types from names that do not specify an assembly.

  Adds a reference to the specified assembly.

  An that indicates the assembly to reference.